Issue 99959 - Save performance: don't use GetInputString with its number handling
Summary: Save performance: don't use GetInputString with its number handling
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: save-export (show other issues)
Version: DEV300m42
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: oc
QA Contact: issues@sc
URL:
Keywords: performance
Depends on:
Blocks:
 
Reported: 2009-03-06 10:41 UTC by niklas.nebel
Modified: 2017-05-20 11:41 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description niklas.nebel 2009-03-06 10:41:31 UTC
The handling of numbers in ScCellObj::GetInputString_Impl isn't needed in
ScXMLExport::WriteCell and can be avoided for performance improvement. This will
improve the saving of files with many simple text cells.
Comment 1 niklas.nebel 2009-03-06 11:53:15 UTC
Fixed in cws "calcperf04", revision 268995.
Comment 2 niklas.nebel 2009-04-24 12:09:50 UTC
reassigning to QA for verification
Comment 3 joerg.skottke 2009-05-19 12:52:50 UTC
No test document provided, if you want to have the performance change documented
please provide one.
Comment 4 oc 2009-05-26 13:11:30 UTC
verified in internal build cws_calcperf04